Name:		yainstall
Version:	1.2
Release:	%mkrel 7
Url:		https://bitbucket.org/_pmat_/yainstall
Source:		%{name}-%{version}.tar.xz
License:	GPLv3
Group:		Games/Other
Summary:	An utility to easily download and install FlightGear aircrafts

BuildRequires:	qt5-devel
BuildRequires:	qt5webkitwidgets-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libzip)
BuildRequires:	yalib-devel

%description
%{summary}

%prep
%setup -q -n %{name}-%{version}

%build
%qmake_qt5
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

cat > README.urpmi << EOF
If your FlightGear aircrafts directory resides into /usr/share/games/flightgear/
you will need to launch YaInstall using tools like sudo, su, kdesu or gtksu to allow
the automatic download and installation of the aircraft models.
EOF

%files
%doc README.md COPYING README.urpmi
%{_bindir}/%{name}


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.2-7.mga6
+ Revision: 963657
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 daviddavid <daviddavid> 1.2-6.mga6
+ Revision: 904182
- rebuild for new libzip 1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 745861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-4.mga5
+ Revision: 690818
- Mageia 5 Mass Rebuild

* Sat Jul 19 2014 daviddavid <daviddavid> 1.2-3.mga5
+ Revision: 653741
- rebuild for new yalib

* Sat Oct 19 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 531831
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 matteo <matteo> 1.2-1.mga4
+ Revision: 465431
- new version 1.2
- built against Qt5

* Sat Feb 09 2013 matteo <matteo> 1.0-2.mga3
+ Revision: 397490
- new source archive

* Fri Feb 08 2013 matteo <matteo> 1.0-1.mga3
+ Revision: 395258
- added libzip br
- added missing br
- imported package yainstall

